# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check

%global crate varlink_generator

Name:           rust-%{crate}
Version:        8.0.0
Release:        2%{?dist}
Summary:        Rust code generator for the varlink protocol

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/varlink_generator
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(chainerror/default) >= 0.4.2 with crate(chainerror/default) < 0.5.0)
BuildRequires:  (crate(getopts/default) >= 0.0.0 with crate(getopts/default) < 1.0.0)
BuildRequires:  (crate(proc-macro2/default) >= 0.4.0 with crate(proc-macro2/default) < 0.5.0)
BuildRequires:  (crate(quote/default) >= 0.6.0 with crate(quote/default) < 0.7.0)
BuildRequires:  (crate(syn/default) >= 0.15.0 with crate(syn/default) < 0.16.0)
BuildRequires:  (crate(varlink_parser/default) >= 4.0.0 with crate(varlink_parser/default) < 5.0.0)

%global _description \
Rust code generator for the varlink protocol.

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate}
%{summary}.

%files       -n %{crate}
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{_bindir}/varlink-rust-generator

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 16 2019 Harald Hoyer <harald@redhat.com> - 8.0.0-1
- Update to 8.0.0

* Sat Feb 16 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.1.0-1
- Update to 7.1.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Dec 10 2018 Josh Stone <jistone@redhat.com> - 6.0.0-1
- Update to 6.0.0

* Mon Nov 26 2018 Josh Stone <jistone@redhat.com> - 5.1.1-1
- Update to 5.1.1

* Sat Nov 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 5.1.0-2
- Adapt to new packaging

* Tue Oct 09 2018 Josh Stone <jistone@redhat.com> - 5.1.0-1
- Update to 5.1.0

* Mon Oct 08 2018 Josh Stone <jistone@redhat.com> - 5.0.1-1
- Update to 5.0.1

* Sun Sep 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 5.0.0-1
- Initial package
